# Uses of Interface
javax.lang.model.element.ModuleElement.ProvidesDirective

Packages that use ModuleElement.ProvidesDirective
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of ModuleElement.ProvidesDirective in javax.lang.model.element

Methods in javax.lang.model.element with parameters of type ModuleElement.ProvidesDirective
Modifier and Type
Method
Description
`R`
ModuleElement.DirectiveVisitor.`visitProvides(ModuleElement.ProvidesDirective d, P p)`
Visits a `provides` directive.

## Uses of ModuleElement.ProvidesDirective in javax.lang.model.util

Methods in javax.lang.model.util that return types with arguments of type ModuleElement.ProvidesDirective
Modifier and Type
Method
Description
`static List<ModuleElement.ProvidesDirective>`
ElementFilter.`providesIn(Iterable<? extends ModuleElement.Directive> directives)`
Returns a list of `provides` directives in `directives`.